.shape_wrap {
    width:50%;
    max-width:180px;
    position:relative;
    margin-bottom:10px;

    // 더보기 페이지 - 와이드 버전
    &.wide {
        &::after {
            content:'';
            display:block;
            width:16px;
            height:16px;
            background:url('../../../assets/img/btn/btn_more_black.svg') no-repeat;
            background-size:100%;
            position:absolute;
            right:20px;
            top:40px;
        }
    }

    // 대주제 숨긴 버전
    &.hide_category {
        .text_wrap {
            top:70px;
        }
    }
    .text_wrap {
        width:100%;
        position:absolute; 
        left:0;
        top:60px;
        text-align:center;
        
        .category_wrap {
            display:inline-block;
            vertical-align: top;
            &.my_room {
                padding-left:19px;
                position:relative;
            }
            &.hide_my {
                padding-left:0;
            }
            .ico.my {
                display:inline-block;
                vertical-align: top;
                width:16px;
                height:16px;
                background:url('../../../assets/img/icon/ico_my.png') no-repeat left center;
                background-size:100%;
                font-size:0;
                line-height:0;
                text-indent:-9999px;
                position:relative;
                position:absolute;
                left:0;
                top:0;
            }
            .category {
                vertical-align: top;
                display:inline-block;
                padding:0 5px;
                border-radius:38px;
                background-color:rgba(255, 255, 255, 0.50);
                color:var(--color-black);
                font-size:12px;
                font-weight:500;
                line-height:16px;
                letter-spacing: -1px;
            }
        }
        .text {
            color:var(--color-black);
            font-size:16px;
            line-height: 16px;
            font-weight:700;
            letter-spacing: -1px;
            padding:3px 0 5px;
        }
    }
    
    // 일반
    .shape {
        width:180px;
        height:180px;
        &.shape_0 {
            mask: url('../../../assets/img/shape/shape00.svg') no-repeat 100% 100%;
            mask-size:contain;
        }
        &.shape_1 {
            mask: url('../../../assets/img/shape/shape01.svg') no-repeat 100% 100%;
            mask-size:contain;
        }
        &.shape_2 {
            mask: url('../../../assets/img/shape/shape02.svg') no-repeat 100% 100%;
            mask-size:contain;
        }
        &.shape_3 {
            width:172px;
            height:172px;
            margin:0 auto;
            border-radius:50%;
        }
        &.bg_lightblue {
            background-color:var(--color-lightblue);
        }
        &.bg_orange {
            background-color:var(--color-orange);
        }
        &.bg_yellow {
            background-color:var(--color-yellow);
        }
        &.bg_blue {
            background-color:var(--color-blue);
        }
        &.bg_cream {
            background-color:var(--color-cream);
        }
        &.bg_lightpink {
            background-color:var(--color-lightpink);
        }
    }
    &:not(.square) .popped {
        width:180px;
        height:180px;
        background:rgba(0, 0, 0, 0.5) url('../../../assets/img/icon/ico_popped.png') no-repeat center;
        background-size:100%;
        position:absolute;
        left:0;
        top:0;
        z-index:1;
    }
    
    
    // 사각형 버전
    &.square {
        width:150px;
        padding:27px 15px;
        margin-bottom:0;
        border-radius:15px;
        box-sizing: border-box;
        .details {
            justify-content: flex-start;
        }
        .text_wrap {
            position:static;
            text-align:left;
            .text {
                line-height:20px;
            }
        }

    }
}

.details {
    display:flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    .message_count {
        margin-left:9px;
        color: rgba(0, 0, 0, 0.60);
        font-size: 12px;
        font-weight: 500;
        line-height: 12px;
        letter-spacing: -1px;
    }
}


// 공통 - 컬러
.list_of_category {
    &.TEN, &.bg_yellow {
        .shape_wrap {
            background-color:var(--color-yellow);
        }
    }
    &.IDOL, &.bg_orange {
        .shape_wrap {
            background-color:var(--color-orange);
        }
    }
    &.CELEB, &.bg_blue {
        .shape_wrap {
            background-color:var(--color-blue);
        }
    }
    &.ENTER, &.bg_cream {
        .shape_wrap {
            background-color: var(--color-cream);
        }
    }
    &.LIFE, &.bg_lightpink {
        .shape_wrap {
            background-color: var(--color-lightpink);
        }
    }
    
    &.bg_lightblue {
        .shape_wrap {
            background-color:var(--color-lightblue);
        }
    }
    
}